Package com.orchestranetworks.workflow

# Interface PublishedProcess

public interface PublishedProcess
Represents a workflow publication and provides information about it.

Since:
  5.2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdaptationName`
  `getAdaptationName()`
  Returns the name of the associated workflow model.
  `UserMessage`
  `getDescription()`
  Returns the description of the workflow publication.
  `UserMessage`
  `getLabel()`
  Returns the label of the workflow publication.
  `String`
  `getOriginalPublicationName()`
  Returns the original publication name.
  `String`
  `getPublicationName()`
  Returns the current name of the workflow publication.
  `PublishedProcessKey`
  `getPublishedProcessKey()`
  Returns the identifier of the workflow publication.
  `VersionKey`
  `getVersionKey()`
  Returns the identifier of the associated snapshot.
  `boolean`
  `isAvailable()`
  Returns `true` if the workflow publication is available, returns `false` otherwise.

- ## Method Details

  - ### getPublishedProcessKey

    PublishedProcessKey getPublishedProcessKey()
    Returns the identifier of the workflow publication.

  - ### getLabel

    UserMessage getLabel()
    Returns the label of the workflow publication.

  - ### getDescription

    UserMessage getDescription()
    Returns the description of the workflow publication.

  - ### getPublicationName

    String getPublicationName()
    Returns the current name of the workflow publication.

    This method may return `null` because the current name is cleared when a publication is disabled.

    See Also:
      - `getOriginalPublicationName()`

  - ### getOriginalPublicationName

    String getOriginalPublicationName()
    Returns the original publication name.

    This method returns the publication name used when the publication has been created, even if the publication has been disabled.

    This method may return `null` for publications prior to 5.9.0 which have been disabled or deleted.

    Since:
      5.9.0
    See Also:
      - `getPublicationName()`

  - ### isAvailable

    boolean isAvailable()
    Returns `true` if the workflow publication is available, returns `false` otherwise.

  - ### getVersionKey

    VersionKey getVersionKey()
    Returns the identifier of the associated snapshot.

  - ### getAdaptationName

    AdaptationName getAdaptationName()
    Returns the name of the associated workflow model.